#include<iostream>

using namespace std;

namespace friendmember {
	
	class B;

	class A
	{
	public:
		A() { _a = 10; }
		void show(A& a, B& b);

	private:
		int _a;
		int Func2(B& b);
	};

	class B {
	private:
		int _b;

		// A::show is a friend function to class B
		// so A::show has access to all members of B
		friend void A::show(A&, B&);
	public:
		B() { _b = 20; }
	};


	int A::Func2(B& b)
	{
		cout << "Here we cannot access B's private member " << endl;
		return 0;
	}

	void A::show(A& a, B& b)
	{
		cout << "Inside A::show() accessing B's private member " << b._b << endl;
	}
}

int main()
{
	using namespace friendmember;
	A a;
	B b;
	a.show(a, b);

	return 0;
}