#pragma once

class DayOfYear
{
public:
	DayOfYear();
	DayOfYear(int m, int d);
	void input();
	void output() const;
	void set(int newMonth, int newDay);
	int getMonthNumber() const;
	int getDay() const;

	/*
	 * Return 0 if day of the year represented by obj1 and obj2 are equal
	 * Return negative number if day of the year represented by obj1 is lesser than obj2
	 * Return positive number if day of the year represented by obj1 is greater than obj2
	 */
	int compareAnotherDayOfYear(const DayOfYear other) const;

private:
	int month;
	int day;
};

inline int DayOfYear::compareAnotherDayOfYear(const DayOfYear other) const
{
	int returnVal = getMonthNumber() - other.getMonthNumber();
	returnVal = returnVal == 0 ? getDay() - other.getDay() : returnVal;
	return returnVal;
}